import { DataGridColumnModel } from './data-grid-column.model';
export declare class ColumnFilterModel {
    filter: any;
    column: DataGridColumnModel;
    operator: Operator;
    constructor(filter: any, column: DataGridColumnModel, operator: Operator);
}
export interface Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
export declare class ContainsOperator implements Operator {
    symbol: string;
    validate(filter: string, value: string): boolean;
}
export declare class EqualsOperator implements Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
export declare class DifferentOperator implements Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
export declare class GreaterThanOperator implements Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
export declare class GreaterThanOrEqualsToOperator implements Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
export declare class LessThanOperator implements Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
export declare class LessThanOrEqualsToOperator implements Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
export declare class IsTrueOperator implements Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
export declare class IsFalseOperator implements Operator {
    symbol: string;
    validate(filter: any, value: any): boolean;
}
